Module | Sequel::JDBC::AS400::DatabaseMethods
In: | lib/sequel/adapters/jdbc/as400.rb

Instance methods for AS400 Database objects accessed via JDBC.

### Methods

database_type dataset last_insert_id

### Public Instance methods

database_type()

AS400 uses the :as400 database type.

[Source]

        # File lib/sequel/adapters/jdbc/as400.rb, line 8
     8:         def database_type
     9:           :as400
    10:         end

dataset(opts=nil)

Return Sequel::JDBC::AS400::Dataset object with the given opts.

[Source]

        # File lib/sequel/adapters/jdbc/as400.rb, line 13
    13:         def dataset(opts=nil)
    14:           Sequel::JDBC::AS400::Dataset.new(self, opts)
    15:         end

last_insert_id(conn, opts={})

TODO: Fix for AS400

[Source]

        # File lib/sequel/adapters/jdbc/as400.rb, line 18
    18:         def last_insert_id(conn, opts={})
    19:           nil
    20:         end

[Validate]